Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace.similarity
Class SparseISimilarity

    java.lang.Object
      infomat.vectorspace.similarity.ISimilarity
          infomat.vectorspace.similarity.SparseISimilarity

All Implemented Interfaces:
  HasProperties

Direct Known Subclasses:
  SparseDotSimilarity, SparseLiteralSimilarity, SparseOverlapSimilarity

    public abstract class SparseISimilarity

extends ISimilarity

Similarity measure for sparse IMatrix.

Field Summary

Fields inherited from class infomat.vectorspace.similarity.ISimilarity
`properties`

Constructor Summary
`SparseISimilarity()`

Method Summary
`abstract IVector<IVectorIndex>` | `getGroupRepresentation(IObjectGroup iog)`
`abstract IVector<IVectorIndex>` | `getRepresentation(IObject io)`
`abstract
`<U extends IVectorIndex,V extends IVectorIndex> float`
` | `sim(IVector<U> vec1, IVector<V> vec2)`

Methods inherited from class infomat.vectorspace.similarity.ISimilarity
`getName, sim, sim, sim`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mro.util.properties.HasProperties
`getDefaultProperties, getProperties, getPropertyValue, setProperties, setProperty`

Constructor Detail

### SparseISimilarity

    public SparseISimilarity()

Method Detail

### sim

    public abstract <U extends IVectorIndex,V extends IVectorIndex> float sim(IVector<U> vec1,
                                                                              IVector<V> vec2)

### getRepresentation

    public abstract IVector<IVectorIndex> getRepresentation(IObject io)

### getGroupRepresentation

    public abstract IVector<IVectorIndex> getGroupRepresentation(IObjectGroup iog)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD